Subject: Re: [midcom] Normative References in draft-ietf-midcom-mib-09

From: Magnus Westerlund <[email-masked]>
Date: Fri, 10 Nov 2006 10:23:23 -0800

Hi,

After some more discussion there may be another way that actually is 
better. As the MIB is do dependent on the semantics the proposal would 
be to retarget RFC 3989 to proposed standard. Then we keep that as 
normative reference. The other two (RFC 3303, RFC 3404) both are moved 
to informational part of the reference list. Any comments on this?

Cheers

Magnus Westerlund

Magnus Westerlund skrev:
> Hi
> 
> In the IESG evaluation of the document it was realized that there was 
> three normative references (RFC 3303, RFC 3404, RFC 3989) that are to 
> informative documents. These are not allowed unless it can be accepted 
> under RFC3967.
> 
> I have discussed this with the authors and from our point of view RFC 
> 3304 can be changed informative reference, it is not required for 
> implementing the protocol. However RFC 3989 is clearly required to be 
> implemented and that it seems that also RFC 3303 can be consider to be a 
> normative reference. Is anyone in the WG disagreeing about this 
> classification?
> 
> If the WG is agreeing on a classification that contains any 
> informational RFCs in the normative section the document will require a 
> new IETF last call that calls out these downrefs.
> 
> Cheers
> 
> Magnus Westerlund
> 
> Multimedia Technologies, Ericsson Research EAB/TVA/A
> ----------------------------------------------------------------------
> Ericsson AB                | Phone +46 8 4048287
> Torshamsgatan 23           | Fax   +46 8 7575550
> S-164 80 Stockholm, Sweden | mailto: [email-masked]
> 
> _______________________________________________
> midcom mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/midcom

-- 

Magnus Westerlund

Multimedia Technologies, Ericsson Research EAB/TVA/A
----------------------------------------------------------------------
Ericsson AB                | Phone +46 8 4048287
Torshamsgatan 23           | Fax   +46 8 7575550
S-164 80 Stockholm, Sweden | mailto: [email-masked]

_______________________________________________
midcom mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/midcom

---

From: Juergen Quittek <[email-masked]>
Date: Sun, 12 Nov 2006 23:56:15 +0100

Hi Magnus,

I do not see a problem with this from the technical point of view.
This solution probably matches the content of the involved documents
best.  However, I do not know the formal procedures that need to
be applied in such a case and how much trouble this would cause.

Thanks,

    Juergen

--On 10.11.06 10:23 -0800 Magnus Westerlund wrote:

> Hi,
>
> After some more discussion there may be another way that actually is better. As the MIB is do dependent on the semantics the proposal would be to retarget RFC 3989 to proposed standard. Then we keep that as normative reference. The other two (RFC 3303,
> RFC 3404) both are moved to informational part of the reference list. Any comments on this?
>
> Cheers
>
> Magnus Westerlund
>
> Magnus Westerlund skrev:
>> Hi
>>

---

From: "Tom-PT Taylor" <[email-masked]>
Date: Sun, 12 Nov 2006 21:06:55 -0800

That seems reaasonable to me.

Magnus Westerlund wrote:
>> implemented and that it seems that also RFC 3303 can be consider to be 
>> a normative reference. Is anyone in the WG disagreeing about this 
>> classification?
>>
>> informational RFCs in the normative section the document will require 
>> a new IETF last call that calls out these downrefs.
>>
>> Cheers
>>
>> Magnus Westerlund
>>

---

From: Magnus Westerlund <[email-masked]>
Date: Mon, 13 Nov 2006 02:33:28 -0800

> be applied in such a case and how much trouble this would cause.

Well, it is not that much process work. I as AD can start the process 
with an IETF last call based on the RFC. I will need to check the 
document so that it fulfills the requirement for proposed, but if it 
does I don't expect any major trouble.

Cheers

Magnus Westerlund